#### This Page

# `shell`

`lektor dev shell`

Starts a Python shell in the context of a Lektor project.

This is particularly useful for debugging plugins and to explore the API. To quit the shell just use `quit()`. Within the shell various utilities are available right from the get-go for you.

- `project`: the loaded project as object.
- `env`: an environment for the loaded project.
- `pad`: a database pad initialized for the project and environment that is ready to use.

## Options

- `--help`: print this help page.

## Comments